## opencv 3.1.0+dfsg1

=== debian/changelog ===
opencv (3.1.0+dfsg1-1~exp1ubuntu3) artful; urgency=medium

  * No-change rebuild for python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 22:43:38 +0200

opencv (3.1.0+dfsg1-1~exp1ubuntu2) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jul 2017 11:48:48 +0200

opencv (3.1.0+dfsg1-1~exp1ubuntu1) artful; urgency=medium

  * Fix FTBFS of mrpt by properly using __asm__() instead of asm().

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 23 Jun 2017 16:25:30 +0200

opencv (3.1.0+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Rewrite d/copyright using copyright-format 1.0.
  * Add Files-Excluded listing the removed files.
  * Update watch file, pointing to github.
  * Add the contrib modules as a multiple upstream tarball.
  * Add new build-dependencies needed by contrib modules.
  * Override lintian tag debian-watch-file-should-mangle-version (see #505857).
  * override lintian warning package-name-doesnt-match-sonames for
    libopencv-contrib.
  * Add some DEP-3 descriptions to two patches.

  [ Nobuhiro Iwamatsu ]
  * Remove obsolete files of libopencv-legacy.
  * Build the opencv_contrib libraries.  Closes: #861194
  * Fix Build with HDF5. Add patches/moudles_hdf5.patch

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Apr 2017 18:17:33 +0200

opencv (3.1.0+dfsg-1~exp5) experimental; urgency=medium

  * Team upload.
  * wrap-and-sort -ast.
  * Add (Build-)Depends on libavresample-dev.
  * Add (Build-)Depends on libgphoto2-dev.
  * Install usr/include/opencv2/cvconfig.h in libopencv-core-dev.  LP: #1315418
  * d/rules: use --fail-missing instead of --list-missing, to be really sure
    nothing is left out.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Apr 2017 01:35:03 +0200

opencv (3.1.0+dfsg-1~exp4) experimental; urgency=medium

  * Team upload.
  * debian/rules cleanup:
    + Remove rm(1)s that do not seem to do anything (anymore).
    + DRY up the BUILDDIR variable.
    + Do not mangle BUILDDIR on i386, there should be no need for it.
    + Add an override to dh_auto_install to pass the correct BUILDDIR (should
      fix FTBFS for kfreebsd-i386 (and probably this is what the original
      BUILDDIR mangling is about)).
    + Proper calls to clean cmake build products.
    + The build system is recognized by debhelper, no need to tell it.
    + Use a single cp call to copy the static libs.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Apr 2017 22:12:08 +0200

opencv (3.1.0+dfsg-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/rules:
    + Do not forcefully disable PIE anymore, -pie changed meaning.
      Also remove +fortify, as that's on by default anyway.  Closes: #859440
    + Drop empty override_dh_fixperms.
    + Remove empty directories from the installed tree.
  * debian/control:
    + Make libopencv-dev suggest opencv-doc.  Closes: #806703
    + Drop not needed libgtk2.0-dev dependency of libopencv-highgui-dev.
      Closes: #817017
    + Fix installability problem in case of binNMUs.  Closes: #844067
     Mark libopencv3.1-java as Breaking/Replacing the 2.4 version.
     Closes: #810516
    + Avoid duplicate long descriptions.
  * Build a python3 package.  Closes: #799262; LP: #1556156
    Thanks to Kota Kato <orangain@gmail.com> for the initial patch.
  * Use dh_numpy instead of hardconding the numpy ABI number.
  * Build with GTK+ 3 (instead of GTK+ 2). (Closes: #822607)
  * Remove disabled patches
  * Refresh patches.
  * Remove obsolete lintian override.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Apr 2017 22:25:01 +0200

opencv (3.1.0+dfsg-1~exp2) experimental; urgency=medium

  * Fix Depends of libopencv-shape3.1 and libopencv-shape-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2016 09:17:57 +0900

opencv (3.1.0+dfsg-1~exp1) experimental; urgency=medium

  * Add old header files into libopencv-dev.
  * Update debian/control.
    - Add Replaces and Conflicts to libopencv-dev.
    - Fix version of libopencv3.1-jni for libopencv3.1-java.
    - Fix Depends of libopencv-dev. Add libopencv3.1-java. (Closes: #833616)
    - Add libopencv-shape-dev to Depends of libopencv-dev. (Closes: #818738)
    - Add libtbb-dev to Depends of libopencv-core-dev. (Closes: #838916)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 18 Oct 2016 06:22:32 +0900

opencv (3.1.0+dfsg-1~exp0) experimental; urgency=medium

  * Update to 3.1.0.
  * Add patches/disable_opengl_test_build.
  * Add libjs-mathjax to Depends of opencv-doc and debian/patches/mathjax.
  * Add libjs-jquery to Depends of opencv-doc and add
    debian/patches/change_jquery.js_path.
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jun 2016 06:15:45 +0900

opencv (3.0.0+dfsg-1~exp7) experimental; urgency=medium

  * Fix libopencv_shape dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jul 2016 15:07:29 +0200

opencv (3.0.0+dfsg-1~exp6) experimental; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Fix missing install of opencv2/core.hpp

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jul 2016 08:39:25 +0200

opencv (3.0.0+dfsg-1~exp5) experimental; urgency=medium

  * Fix libvtk6.3 runtime dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Jul 2016 10:08:15 +0200

opencv (3.0.0+dfsg-1~exp4) experimental; urgency=medium

  * Upload again on experimental, to build against new gdal 2.1.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Jul 2016 10:07:18 +0200

opencv (3.0.0+dfsg-1~exp3) experimental; urgency=medium

  [ Andreas Cadhalpun ]
  * Fix build with ffmpeg 3.0. (Closes: #803847)

  [ Gianfranco Costamagna ]
  * Team upload
  * merge unstable NMUs
  * rebase ffmpeg patch
  * Disable optimize i586 patch, now Debian has i686

  [ Tobias Frost ]
  * Do not use precompiled headers (Closes: #818450)

  [ Mattia Rizzolo ]


=== debian/control ===
Source: opencv
Priority: optional
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Nobuhiro Iwamatsu <iwamatsu@debian.org>,
Build-Depends:
 ant,
 cmake (>= 2.8.7),
 debhelper (>= 9),
 default-jdk,
 dh-python,
 doxygen,
 javahelper,
 libavcodec-dev,
 libavformat-dev,
 libavresample-dev,
 libdc1394-22-dev [linux-any],
 libeigen3-dev,
 libgdal-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libgoogle-glog-dev,
 libgphoto2-dev,
 libgtk-3-dev,
 libjpeg-dev,
 liblapack-dev (>= 3.2.1),
 libleptonica-dev,
 libopenexr-dev (>= 1.6.1-8.1),
 libpng-dev,
 libprotobuf-dev,
 libraw1394-dev [linux-any],
 libswscale-dev,
 libtbb-dev [i386 amd64 ia64 powerpc ppc64 ppc64el],
 libtesseract-dev,
 libtiff-dev,
 libv4l-dev [linux-any],
 libvtk6-dev,
 ocl-icd-opencl-dev,
 protobuf-compiler,
 python-dev,
 python-numpy,
 python3-dev,
 python3-numpy,
 zlib1g-dev (>= 1.2.5),
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/opencv.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/opencv.git
Homepage: http://opencv.org/

Package: opencv-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
Conflicts:
 libopencv-doc,
Replaces:
 libopencv-doc,
Description: OpenCV documentation and examples
 This package contains the OpenCV documentation and example programs.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-dev
Section: libdevel
Architecture: any
Depends:
 libopencv-calib3d-dev (= ${binary:Version}),
 libopencv-contrib-dev (= ${binary:Version}),
 libopencv-core-dev (= ${binary:Version}),
 libopencv-features2d-dev (= ${binary:Version}),
 libopencv-flann-dev (= ${binary:Version}),
 libopencv-highgui-dev (= ${binary:Version}),
 libopencv-imgcodecs-dev (= ${binary:Version}),
 libopencv-imgproc-dev (= ${binary:Version}),
 libopencv-ml-dev (= ${binary:Version}),
 libopencv-objdetect-dev (= ${binary:Version}),
 libopencv-photo-dev (= ${binary:Version}),
 libopencv-shape-dev (= ${binary:Version}),
 libopencv-stitching-dev (= ${binary:Version}),
 libopencv-superres-dev (= ${binary:Version}),
 libopencv-ts-dev (= ${binary:Version}),
 libopencv-video-dev (= ${binary:Version}),
 libopencv-videoio-dev (= ${binary:Version}),
 libopencv-videostab-dev (= ${binary:Version}),
 libopencv-viz-dev (= ${binary:Version}),
 libopencv3.1-java (= ${source:Version}),
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 opencv-data,
Suggests:
 opencv-doc,
Breaks:
 libopencv-core-dev (<= 2.3.1-8),
Replaces:
 libcv-dev,
 libcvaux-dev,
 libhighgui-dev,
Conflicts:
 libcv-dev (<= 2.4.9.1+dfsg-2.1),
 libcvaux-dev (<= 2.4.9.1+dfsg-2.1),
 libhighgui-dev (<= 2.4.9.1+dfsg-2.1),
Description: development files for opencv
 This is a metapackage providing development package necessary for
 development of OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: opencv-data
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 libopencv-dev (<= 2.3.1-12),
Description: development data for opencv
 This package contains some architecture independent files useful for
 development with OpenCV.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core3.1 (= ${binary:Version}),
 libtbb-dev [i386 amd64 ia64 powerpc ppc64 ppc64el],
 zlib1g-dev,
 ${misc:Depends},
Description: development files for libopencv-core3.1
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) core.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core3.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision core library
 This package contains the OpenCV (Open Computer Vision) core runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core-dev (= ${binary:Version}),
 libopencv-ml3.1 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-ml3.1
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Machine Learning library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml3.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-core3.1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision Machine Learning library
 This package contains the OpenCV (Open Computer Vision) Machine Learning
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core-dev (= ${binary:Version}),
 libopencv-imgproc3.1 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-imgproc3.1
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Image Processing library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc3.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-core3.1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision Image Processing library
 This package contains the OpenCV (Open Computer Vision) Image Processing
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgcodecs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-imgcodecs3.1 (= ${binary:Version}),
 libopencv-imgproc-dev (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-imgcodecs3.1
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Image Codecs library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgcodecs3.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-imgproc3.1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision Image Codecs library
 This package contains the OpenCV (Open Computer Vision) Image Codecs
 runtime libraries.
 .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

BUILDDIR = obj-$(DEB_HOST_MULTIARCH)

# SSE options
ifeq ($(DEB_HOST_ARCH),amd64)
CMAKE_ARCH_FLAGS = -DENABLE_SSE=ON -DENABLE_SSE2=ON -DENABLE_SSE3=OFF
else
CMAKE_ARCH_FLAGS = -DENABLE_SSE=OFF -DENABLE_SSE2=OFF -DENABLE_SSE3=OFF
endif

# TBB support
ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 ia64 powerpc ppc64 ppc64el))
CMAKE_ARCH_FLAGS += -DWITH_TBB=ON
else
CMAKE_ARCH_FLAGS += -DWITH_TBB=OFF
endif

# Linux-specific stuff
ifeq ($(DEB_HOST_ARCH_OS),linux)
CMAKE_ARCH_FLAGS += -DWITH_1394=ON -DWITH_V4L=ON
else
CMAKE_ARCH_FLAGS += -DWITH_1394=OFF -DWITH_V4L=OFF
endif

# No GL on armhf in Ubuntu
ifeq ($(shell dpkg-vendor --is ubuntu && echo true),true)
ifneq ($(DEB_HOST_ARCH),armhf)
CMAKE_ARCH_FLAGS += -DWITH_OPENGL=ON
else
CMAKE_ARCH_FLAGS += -DWITH_OPENGL=OFF
endif
CMAKE_ARCH_FLAGS += -DWITH_OPENGL=ON
endif

# For Java
export JAVA_HOME=/usr/lib/jvm/default-java

CMAKE_FLAGS = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
	-DCMAKE_BUILD_TYPE=Release	\
	-DBUILD_EXAMPLES=ON	\
	-DINSTALL_C_EXAMPLES=ON	\
	-DINSTALL_PYTHON_EXAMPLES=ON	\
	-DWITH_FFMPEG=ON	\
	-DWITH_GSTREAMER=OFF	\
	-DWITH_GTK=ON	\
	-DWITH_JASPER=OFF	\
	-DWITH_JPEG=ON	\
	-DWITH_PNG=ON	\
	-DWITH_TIFF=ON	\
	-DWITH_OPENEXR=ON \
	-DWITH_PVAPI=ON	\
	-DWITH_UNICAP=OFF	\
	-DWITH_EIGEN=ON \
	-DWITH_VTK=ON \
	-DWITH_GDAL=ON \
	-DWITH_XINE=OFF	\
	-DWITH_IPP=OFF \
	-DBUILD_TESTS=OFF \
	-DCMAKE_SKIP_RPATH=ON \
	-DWITH_CUDA=OFF \
	-DENABLE_PRECOMPILED_HEADERS=OFF \
	-DWITH_IPP=OFF \
	-DOPENCL_INCLUDE_DIR:PATH="/usr/include/CL/" \
	-DOPENCV_EXTRA_MODULES_PATH="$(CURDIR)/contrib/modules" \
	$(CMAKE_ARCH_FLAGS)

%:
	dh $@ --with python2,python3,javahelper --parallel

override_dh_clean:
	rm -rf modules/python/src2/hdr_parser.pyc
	rm -rf modules/java/generator/rst_parser.pyc
	rm -rf modules/refman.rst

	dh_clean
	-rm -rf modules/python/src2/__pycache__

override_dh_auto_clean:
	dh_auto_clean -B $(BUILDDIR)
	dh_auto_clean -B $(BUILDDIR)-static

override_dh_auto_configure: configure_dyn configure_static
configure_dyn:
	dh_auto_configure -B $(BUILDDIR) \
		-- $(CMAKE_FLAGS) \
		-DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
		-DBUILD_SHARED_LIBS=ON -DBUILD_DOCS=ON

configure_static:
	dh_auto_configure -B $(BUILDDIR)-static \
		-- $(CMAKE_FLAGS) \
		-DBUILD_SHARED_LIBS=OFF -DBUILD_DOCS=OFF

override_dh_auto_build: build_dyn build_static
	
build_dyn:
	dh_auto_build -B $(BUILDDIR)
	dh_auto_build -B $(BUILDDIR) -- doxygen

build_static:
	dh_auto_build -B $(BUILDDIR)-static

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -B $(BUILDDIR)

override_dh_install:
	# change install path of java library
	sed -i -e "s@share\/OpenCV\/java\/@lib\/jni\/@g" \
		debian/tmp/usr/share/OpenCV/OpenCVModules-release.cmake

	# put the static libs together with the rest of the stuff
	cp -v $(BUILDDIR)-static/lib/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

	rm -vrf debian/tmp/usr/share/OpenCV/doc/html/jquery.js

	find debian/tmp -type d -empty -delete
	dh_install --fail-missing

override_dh_gencontrol:
	dh_numpy
	dh_numpy3
	dh_gencontrol

## opencv 3.2.0%2Bdfsg

=== doc/CMakeLists.txt ===
#-----------------------
#  CMake file for OpenCV docs
#-----------------------

if(BUILD_DOCS AND DOXYGEN_FOUND)
  set(HAVE_DOC_GENERATOR TRUE)
else()
  set(HAVE_DOC_GENERATOR FALSE)
endif()

if(HAVE_DOC_GENERATOR)
  project(opencv_docs)
  # build lists of modules to be documented
  set(BASE_MODULES "")
  set(EXTRA_MODULES "")

  foreach(mod ${OPENCV_MODULES_BUILD} ${OPENCV_MODULES_DISABLED_USER} ${OPENCV_MODULES_DISABLED_AUTO} ${OPENCV_MODULES_DISABLED_FORCE})
    string(REGEX REPLACE "^opencv_" "" mod "${mod}")
    if("${OPENCV_MODULE_opencv_${mod}_LOCATION}" STREQUAL "${OpenCV_SOURCE_DIR}/modules/${mod}")
      list(APPEND BASE_MODULES ${mod})
    else()
      list(APPEND EXTRA_MODULES ${mod})
    endif()
  endforeach()
  ocv_list_sort(BASE_MODULES)
  ocv_list_sort(EXTRA_MODULES)
  set(FIXED_ORDER_MODULES core imgproc imgcodecs videoio highgui video calib3d features2d objdetect ml flann photo stitching)
  list(REMOVE_ITEM BASE_MODULES ${FIXED_ORDER_MODULES})
  set(BASE_MODULES ${FIXED_ORDER_MODULES} ${BASE_MODULES})
endif(HAVE_DOC_GENERATOR)

# ========= Doxygen docs =========

if(BUILD_DOCS AND DOXYGEN_FOUND)
  # not documented modules list
  list(APPEND blacklist "ts" "java" "python2" "python3" "world" "contrib_world")
  unset(CMAKE_DOXYGEN_TUTORIAL_CONTRIB_ROOT)

  # gathering headers
  set(paths_include)
  set(paths_doc)
  set(paths_bib)
  set(paths_sample)
  set(paths_tutorial)
  set(paths_hal_interface)
  set(refs_main)
  set(refs_extra)
  set(deps)
  foreach(m ${BASE_MODULES} ${EXTRA_MODULES})
    list(FIND blacklist ${m} _pos)
    if(${_pos} EQUAL -1)
      # include folder
      set(header_dir "${OPENCV_MODULE_opencv_${m}_LOCATION}/include")
      if(EXISTS "${header_dir}")
        list(APPEND paths_include "${header_dir}")
        list(APPEND deps ${header_dir})
      endif()
      # doc folder
      set(docs_dir "${OPENCV_MODULE_opencv_${m}_LOCATION}/doc")
      if(EXISTS "${docs_dir}")
        list(APPEND paths_doc "${docs_dir}")
        list(APPEND deps ${docs_dir})
      endif()
      # sample folder
      set(sample_dir "${OPENCV_MODULE_opencv_${m}_LOCATION}/samples")
      if(EXISTS "${sample_dir}")
        list(APPEND paths_sample "${sample_dir}")
        list(APPEND deps ${sample_dir})
      endif()
      # tutorial folder
      set(tutorial_dir "${OPENCV_MODULE_opencv_${m}_LOCATION}/tutorials")
      if(EXISTS "${tutorial_dir}")
        list(APPEND paths_tutorial "${tutorial_dir}")
        list(APPEND deps ${tutorial_dir})

        # tutorial reference entry
        file(GLOB tutorials RELATIVE "${OPENCV_MODULE_opencv_${m}_LOCATION}" "${tutorial_dir}/*.markdown")
        foreach (t ${tutorials})
          if (NOT DEFINED CMAKE_DOXYGEN_TUTORIAL_CONTRIB_ROOT)
            set(CMAKE_DOXYGEN_TUTORIAL_CONTRIB_ROOT "- @ref tutorial_contrib_root")
            set(tutorial_contrib_root "${CMAKE_CURRENT_BINARY_DIR}/contrib_tutorials.markdown")
            file(WRITE "${tutorial_contrib_root}"
              "Tutorials for contrib modules {#tutorial_contrib_root}\n"
              "=============================\n")
          endif()
          file(STRINGS "${OPENCV_MODULE_opencv_${m}_LOCATION}/${t}" tutorial_id LIMIT_COUNT 1 REGEX ".*{#[^}]+}")
          string(REGEX REPLACE ".*{#([^}]+)}" "\\1" tutorial_id "${tutorial_id}")
          file(APPEND "${tutorial_contrib_root}" "- ${m}. @subpage ${tutorial_id}\n")
        endforeach()
      endif()
      # HAL replacement file
      set(replacement_header "${OPENCV_MODULE_opencv_${m}_LOCATION}/src/hal_replacement.hpp")
      if(EXISTS "${replacement_header}")
        list(APPEND paths_hal_interface "${replacement_header}")
      endif()

      # BiBTeX file
      set(bib_file "${docs_dir}/${m}.bib")
      if(EXISTS "${bib_file}")
        set(paths_bib "${paths_bib} ${bib_file}")
        list(APPEND deps ${bib_file})
      endif()
      # Reference entry
    #   set(one_ref "@ref ${m} | ${m}\n")
      set(one_ref "\t- ${m}. @ref ${m}\n")
      list(FIND EXTRA_MODULES ${m} _pos)
      if(${_pos} EQUAL -1)
        set(refs_main "${refs_main}${one_ref}")
      else()
        set(refs_extra "${refs_extra}${one_ref}")
      endif()
    endif()
  endforeach()

  # fix references
  # set(ref_header "Module name | Folder\n----------- | ------")
  # if(refs_main)
  #    set(refs_main "### Main modules\n${ref_header}\n${refs_main}")
  # endif()
  # if(refs_extra)
  #   set(refs_extra "### Extra modules\n${ref_header}\n${refs_extra}")
  # endif()
  if(refs_main)
    set(refs_main "- Main modules:\n${refs_main}")
  endif()
  if(refs_extra)
    set(refs_extra "- Extra modules:\n${refs_extra}")
  endif()

  # additional config
  set(doxyfile "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile")
  set(rootfile "${CMAKE_CURRENT_BINARY_DIR}/root.markdown")
  set(bibfile "${CMAKE_CURRENT_SOURCE_DIR}/opencv.bib")
  set(faqfile "${CMAKE_CURRENT_SOURCE_DIR}/faq.markdown")
  set(tutorial_path "${CMAKE_CURRENT_SOURCE_DIR}/tutorials")
  set(tutorial_py_path "${CMAKE_CURRENT_SOURCE_DIR}/py_tutorials")
  set(example_path "${CMAKE_SOURCE_DIR}/samples")

  # set export variables
  string(REPLACE ";" " \\\n" CMAKE_DOXYGEN_INPUT_LIST "${rootfile} ; ${faqfile} ; ${paths_include} ; ${paths_hal_interface} ; ${paths_doc} ; ${tutorial_path} ; ${tutorial_py_path} ; ${paths_tutorial} ; ${tutorial_contrib_root}")
  string(REPLACE ";" " \\\n" CMAKE_DOXYGEN_IMAGE_PATH "${paths_doc} ; ${tutorial_path} ; ${tutorial_py_path} ; ${paths_tutorial}")
  # TODO: remove paths_doc from EXAMPLE_PATH after face module tutorials/samples moved to separate folders
  string(REPLACE ";" " \\\n" CMAKE_DOXYGEN_EXAMPLE_PATH  "${example_path} ; ${paths_doc} ; ${paths_sample}")
  set(CMAKE_DOXYGEN_LAYOUT "${CMAKE_CURRENT_SOURCE_DIR}/DoxygenLayout.xml")
  set(CMAKE_DOXYGEN_OUTPUT_PATH "doxygen")
  set(CMAKE_DOXYGEN_MAIN_REFERENCE "${refs_main}")
  set(CMAKE_DOXYGEN_EXTRA_REFERENCE "${refs_extra}")
  set(CMAKE_EXTRA_BIB_FILES "${bibfile} ${paths_bib}")
  if (CMAKE_DOXYGEN_GENERATE_QHP)
    set(CMAKE_DOXYGEN_GENERATE_QHP "YES")
  else()
    set(CMAKE_DOXYGEN_GENERATE_QHP "NO")
  endif()

  list(APPEND CMAKE_DOXYGEN_HTML_FILES "${CMAKE_CURRENT_SOURCE_DIR}/opencv.ico")
  list(APPEND CMAKE_DOXYGEN_HTML_FILES "${CMAKE_CURRENT_SOURCE_DIR}/pattern.png")
  list(APPEND CMAKE_DOXYGEN_HTML_FILES "${CMAKE_CURRENT_SOURCE_DIR}/acircles_pattern.png")
  list(APPEND CMAKE_DOXYGEN_HTML_FILES "${CMAKE_CURRENT_SOURCE_DIR}/bodybg.png")
  list(APPEND CMAKE_DOXYGEN_HTML_FILES "${CMAKE_CURRENT_SOURCE_DIR}/mymath.sty")
  string(REPLACE ";" " \\\n" CMAKE_DOXYGEN_HTML_FILES "${CMAKE_DOXYGEN_HTML_FILES}")

  # writing file
  configure_file(Doxyfile.in ${doxyfile} @ONLY)
  configure_file(root.markdown.in ${rootfile} @ONLY)

  add_custom_target(doxygen
    COMMAND ${DOXYGEN_EXECUTABLE} ${doxyfile}
    DEPENDS ${doxyfile} ${rootfile} ${bibfile} ${deps}
  )
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doxygen/html
    DESTINATION "${OPENCV_DOC_INSTALL_PATH}"
    COMPONENT "docs" OPTIONAL
  )

  # Alias to build/install docs only
  add_custom_target(install_docs
      DEPENDS doxygen
      COMMAND "${CMAKE_COMMAND}" -DCMAKE_INSTALL_COMPONENT=docs -P "${CMAKE_BINARY_DIR}/cmake_install.cmake"
  )
endif()

=== samples/CMakeLists.txt ===
# Detect if we want to build samples with library binaries or not
if(NOT CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_LIST_DIR)
#
# BUILD CASE 1: Build samples with library sources
#


# ----------------------------------------------------------------------------
#  CMake file for samples. See root CMakeLists.txt
#
# ----------------------------------------------------------------------------

add_subdirectory(cpp)
add_subdirectory(gpu)
add_subdirectory(tapi)

if(WIN32 AND HAVE_DIRECTX)
  add_subdirectory(directx)
endif()

if((NOT ANDROID) AND HAVE_OPENGL)
  add_subdirectory(opengl)
endif()

if(HAVE_OPENVX)
  add_subdirectory(openvx)
endif()

if(UNIX AND NOT ANDROID AND (HAVE_VA OR HAVE_VA_INTEL))
  add_subdirectory(va_intel)
endif()

if(ANDROID AND BUILD_ANDROID_EXAMPLES)
  add_subdirectory(android)
endif()

if(INSTALL_PYTHON_EXAMPLES)
  add_subdirectory(python)
endif()

#
# END OF BUILD CASE 1: Build samples with library sources
#
else()
#
# BUILD CASE 2: Build samples with library binaries
#
cmake_minimum_required(VERSION 2.8)

project(samples C CXX)
option(BUILD_EXAMPLES "Build samples" ON)

find_package(OpenCV REQUIRED)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)

  if(NOT OpenCV_SHARED)
    foreach(flag_var
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif()
      if(${flag_var} MATCHES "/MDd")
        string(REGEX REPLACE "/MDd" "/MTd" ${flag_var} "${${flag_var}}")
      endif()
    endforeach(flag_var)

    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:atlthunk.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcrtd.lib")
    set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:libcmt.lib")
    set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /NODEFAULTLIB:libcmtd.lib")
  endif()
endif()

add_subdirectory(cpp)
# FIXIT: can't use cvconfig.h in samples: add_subdirectory(gpu)

add_subdirectory(opencl)

if(WIN32)
  add_subdirectory(directx)
endif()

#
# END OF BUILD CASE 2: Build samples with library binaries
#
endif()

=== apps/traincascade/CMakeLists.txt ===
set(OPENCV_TRAINCASCADE_DEPS opencv_core opencv_imgproc opencv_objdetect opencv_imgcodecs opencv_highgui opencv_calib3d opencv_features2d)
ocv_check_dependencies(${OPENCV_TRAINCASCADE_DEPS})

if(NOT OCV_DEPENDENCIES_FOUND)
  return()
endif()

project(traincascade)
set(the_target opencv_traincascade)

ocv_warnings_disable(CMAKE_CXX_FLAGS -Woverloaded-virtual)

ocv_target_include_directories(${the_target} PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}" "${OpenCV_SOURCE_DIR}/include/opencv")
ocv_target_include_modules_recurse(${the_target} ${OPENCV_TRAINCASCADE_DEPS})

file(GLOB SRCS *.cpp)
file(GLOB HDRS *.h*)

set(traincascade_files ${SRCS} ${HDRS})

ocv_add_executable(${the_target} ${traincascade_files})
ocv_target_link_libraries(${the_target} ${OPENCV_TRAINCASCADE_DEPS})

set_target_properties(${the_target} PROPERTIES
                      DEBUG_POSTFIX "${OPENCV_DEBUG_POSTFIX}"
                      ARCHIVE_OUTPUT_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                      RUNTIME_OUTPUT_DIRECTORY ${EXECUTABLE_OUTPUT_PATH}
                      OUTPUT_NAME "opencv_traincascade")

if(ENABLE_SOLUTION_FOLDERS)
  set_target_properties(${the_target} PROPERTIES FOLDER "applications")
endif()

if(INSTALL_CREATE_DISTRIB)
  if(BUILD_SHARED_LIBS)
    install(TARGETS ${the_target} RUNTIME DESTINATION ${OPENCV_BIN_INSTALL_PATH} CONFIGURATIONS Release COMPONENT dev)
  endif()
else()
  install(TARGETS ${the_target} OPTIONAL RUNTIME DESTINATION ${OPENCV_BIN_INSTALL_PATH} COMPONENT dev)
endif()

=== modules/core/CMakeLists.txt ===
set(the_description "The Core Functionality")
ocv_add_module(core
               "${OPENCV_HAL_LINKER_LIBS}"
               PRIVATE_REQUIRED ${ZLIB_LIBRARIES} "${OPENCL_LIBRARIES}" "${VA_LIBRARIES}"
               OPTIONAL opencv_cudev
               WRAP java python)

set(extra_libs "")

if(WINRT AND CMAKE_SYSTEM_NAME MATCHES WindowsStore AND CMAKE_SYSTEM_VERSION MATCHES "8.0")
  list(APPEND extra_libs ole32.lib)
endif()

if(DEFINED WINRT AND NOT DEFINED ENABLE_WINRT_MODE_NATIVE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /ZW")
endif()

if(HAVE_CUDA)
  ocv_warnings_disable(CMAKE_CXX_FLAGS -Wundef -Wenum-compare -Wunused-function -Wshadow)
endif()

file(GLOB lib_cuda_hdrs        "include/opencv2/${name}/cuda/*.hpp"        "include/opencv2/${name}/cuda/*.h")
file(GLOB lib_cuda_hdrs_detail "include/opencv2/${name}/cuda/detail/*.hpp" "include/opencv2/${name}/cuda/detail/*.h")

source_group("Include\\Cuda Headers"         FILES ${lib_cuda_hdrs})
source_group("Include\\Cuda Headers\\Detail" FILES ${lib_cuda_hdrs_detail})

source_group("Src" FILES "${OPENCV_MODULE_opencv_core_BINARY_DIR}/version_string.inc")

ocv_glob_module_sources(SOURCES "${OPENCV_MODULE_opencv_core_BINARY_DIR}/version_string.inc"
                        HEADERS ${lib_cuda_hdrs} ${lib_cuda_hdrs_detail})

ocv_module_include_directories(${the_module} ${ZLIB_INCLUDE_DIRS} ${OPENCL_INCLUDE_DIRS})
ocv_create_module(${extra_libs})

ocv_add_accuracy_tests()
ocv_add_perf_tests()

=== modules/cudaoptflow/CMakeLists.txt ===
if(IOS OR WINRT OR (NOT HAVE_CUDA AND NOT BUILD_CUDA_STUBS))
  ocv_module_disable(cudaoptflow)
endif()

set(the_description "CUDA-accelerated Optical Flow")

ocv_warnings_disable(CMAKE_CXX_FLAGS /wd4127 /wd4324 /wd4512 -Wundef -Wmissing-declarations -Wshadow)

ocv_define_module(cudaoptflow opencv_video opencv_cudaarithm opencv_cudawarping opencv_cudaimgproc OPTIONAL opencv_cudalegacy)

=== modules/world/CMakeLists.txt ===
set(the_description "All the selected OpenCV modules in a single binary")
set(OPENCV_MODULE_IS_PART_OF_WORLD FALSE)
set(BUILD_opencv_world_INIT OFF)

if(APPLE_FRAMEWORK OR NOT BUILD_SHARED_LIBS)
  set(OPENCV_MODULE_TYPE STATIC)
  set(OPENCV_WORLD_FLAGS_PROPERTY STATIC_LIBRARY_FLAGS)
else()
  set(OPENCV_WORLD_FLAGS_PROPERTY LINK_FLAGS)
endif()

function(include_one_module m)
  include("${OPENCV_MODULE_${m}_LOCATION}/CMakeLists.txt")
endfunction()

if(NOT OPENCV_INITIAL_PASS)
  set(ENABLE_PRECOMPILED_HEADERS OFF CACHE INTERNAL "" FORCE)
  project(opencv_world)

  message(STATUS "Processing WORLD modules...")
  foreach(m ${OPENCV_MODULES_BUILD})
    if(OPENCV_MODULE_${m}_IS_PART_OF_WORLD)
      message(STATUS "    module ${m}...")
      set(CMAKE_CURRENT_SOURCE_DIR "${OPENCV_MODULE_${m}_LOCATION}")
      #add_subdirectory("${OPENCV_MODULE_${m}_LOCATION}" ${CMAKE_CURRENT_BINARY_DIR}/${m})
      include_one_module(${m})
    endif()
  endforeach()
  message(STATUS "Processing WORLD modules... DONE")
  set(CMAKE_CURRENT_SOURCE_DIR "${OPENCV_MODULE_opencv_world_LOCATION}")
endif()

ocv_add_module(world opencv_core)

set(headers_list "HEADERS")
set(sources_list "SOURCES")
set(link_deps "")
foreach(m ${OPENCV_MODULE_${the_module}_DEPS})
  if(OPENCV_MODULE_${m}_IS_PART_OF_WORLD)
    set(headers_list "${headers_list};${OPENCV_MODULE_${m}_HEADERS}")
    set(sources_list "${sources_list};${OPENCV_MODULE_${m}_SOURCES}")
  endif()
  set(link_deps "${link_deps};${OPENCV_MODULE_${m}_LINK_DEPS}")
endforeach()

ocv_glob_module_sources(${headers_list} ${sources_list})

ocv_module_include_directories()

#message(STATUS "${OPENCV_MODULE_${the_module}_HEADERS}")
#message(STATUS "${OPENCV_MODULE_${the_module}_SOURCES}")
ocv_create_module(${link_deps})

if(BUILD_opencv_imgcodecs AND OPENCV_MODULE_opencv_imgcodecs_IS_PART_OF_WORLD)
  ocv_imgcodecs_configure_target()
endif()
if(BUILD_opencv_videoio AND OPENCV_MODULE_opencv_videoio_IS_PART_OF_WORLD)
  ocv_videoio_configure_target()
endif()
if(BUILD_opencv_highgui AND OPENCV_MODULE_opencv_highgui_IS_PART_OF_WORLD)
  ocv_highgui_configure_target()
endif()

=== contrib/modules/bgsegm/CMakeLists.txt ===
set(the_description "Background Segmentation Algorithms")
ocv_define_module(bgsegm opencv_core opencv_imgproc opencv_video opencv_highgui WRAP python)

=== contrib/modules/datasets/CMakeLists.txt ===
set(the_description "datasets framework")
ocv_define_module(datasets opencv_core opencv_face opencv_ml opencv_flann opencv_text WRAP python)

ocv_warnings_disable(CMAKE_CXX_FLAGS /wd4267) # flann, Win64

## opencv 3.2.0%2Bdfsg.1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opencv
 Priority: optional
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Nobuhiro Iwamatsu <iwamatsu@debian.org>,
@@ -16,10 +15,11 @@
  javahelper,
  libavcodec-dev,
  libavformat-dev,
- libavresample-dev,
+ libswresample-dev,
  libdc1394-22-dev [linux-any],
  libeigen3-dev,
  libgdal-dev,
+ libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  libgoogle-glog-dev,
@@ -33,11 +33,12 @@
  libprotobuf-dev,
  libraw1394-dev [linux-any],
  libswscale-dev,
- libtbb-dev [i386 amd64 ia64 powerpc ppc64 ppc64el],
+ libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
  libtesseract-dev,
  libtiff-dev,
  libv4l-dev [linux-any],
  libvtk6-dev,
+ maven-repo-helper,
  ocl-icd-opencl-dev,
  protobuf-compiler,
  python-dev,
@@ -45,10 +46,10 @@
  python3-dev,
  python3-numpy,
  zlib1g-dev (>= 1.2.5),
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/opencv.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/opencv.git
-Homepage: http://opencv.org/
+Standards-Version: 4.1.1
+Vcs-Git: https://salsa.debian.org/science-team/opencv.git -b sid
+Vcs-Browser: https://salsa.debian.org/science-team/opencv
+Homepage: https://opencv.org
 
 Package: opencv-doc
 Section: doc
@@ -97,7 +98,7 @@
  libopencv-videoio-dev (= ${binary:Version}),
  libopencv-videostab-dev (= ${binary:Version}),
  libopencv-viz-dev (= ${binary:Version}),
- libopencv3.1-java (= ${source:Version}),
+ libopencv3.2-java (= ${source:Version}),
  pkg-config,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -112,9 +113,9 @@
  libcvaux-dev,
  libhighgui-dev,
 Conflicts:
- libcv-dev (<= 2.4.9.1+dfsg-2.1),
- libcvaux-dev (<= 2.4.9.1+dfsg-2.1),
- libhighgui-dev (<= 2.4.9.1+dfsg-2.1),
+ libcv-dev,
+ libcvaux-dev,
+ libhighgui-dev,
 Description: development files for opencv
  This is a metapackage providing development package necessary for
  development of OpenCV (Open Computer Vision).
@@ -155,11 +156,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libopencv-core3.1 (= ${binary:Version}),
- libtbb-dev [i386 amd64 ia64 powerpc ppc64 ppc64el],
+ libopencv-core3.2 (= ${binary:Version}),
+ libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
  zlib1g-dev,
  ${misc:Depends},
-Description: development files for libopencv-core3.1
+Description: development files for libopencv-core3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) core.
  .
@@ -173,7 +174,7 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-core3.1
+Package: libopencv-core3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -201,9 +202,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-ml3.1 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-ml3.1
+ libopencv-ml3.2 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-ml3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Machine Learning library.
  .
@@ -217,14 +218,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-ml3.1
+Package: libopencv-ml3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.1 (= ${binary:Version}),
+ libopencv-core3.2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Machine Learning library
@@ -247,9 +248,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-imgproc3.1 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-imgproc3.1
+ libopencv-imgproc3.2 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-imgproc3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Processing library.
  .
@@ -263,14 +264,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgproc3.1
+Package: libopencv-imgproc3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.1 (= ${binary:Version}),
+ libopencv-core3.2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Image Processing library
@@ -292,10 +293,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libopencv-imgcodecs3.1 (= ${binary:Version}),
+ libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
+ libopencv-imgcodecs3.2 (= ${binary:Version}),
  libopencv-imgproc-dev (= ${binary:Version}),
  ${misc:Depends},
-Description: development files for libopencv-imgcodecs3.1
+Description: development files for libopencv-imgcodecs3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Codecs library.
  .
@@ -309,17 +311,15 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgcodecs3.1
+Package: libopencv-imgcodecs3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-imgproc3.1 (= ${binary:Version}),
+ libopencv-imgproc3.2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Image Codecs library
  This package contains the OpenCV (Open Computer Vision) Image Codecs
- runtime libraries.
- .
